org.apache.maven.scm.command.add

## Class AbstractAddCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.add.AbstractAddCommand

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  AbstractCvsAddCommand, AccuRevAddCommand, BazaarAddCommand, ClearCaseAddCommand, GitAddCommand, HgAddCommand, LocalAddCommand, PerforceAddCommand, StarteamAddCommand, SvnAddCommand, SynergyAddCommand, TfsAddCommand

    public abstract class AbstractAddCommand
    extends AbstractCommand

Version:
  $Id: AbstractAddCommand.java 685539 2008-08-13 13:27:27Z vsiveton $
Author:
  Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractAddCommand()`

### Method Summary

Methods
`protected abstract ScmResult` `executeAddCommand(ScmProviderRepository repository, ScmFileSet fileSet, String message, boolean binary)`
`protected ScmResult` `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractAddCommand

    public AbstractAddCommand()

### Method Detail

#### executeAddCommand

    protected abstract ScmResult executeAddCommand(ScmProviderRepository repository,
                              ScmFileSet fileSet,
                              String message,
                              boolean binary)
                                            throws ScmException

Throws:
  `ScmException`

#### executeCommand

    protected ScmResult executeCommand(ScmProviderRepository repository,
                           ScmFileSet fileSet,
                           CommandParameters parameters)
                                throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`